# $Revision: 1.28 $, $Date: 2010/08/21 19:08:47 $
%include	/usr/lib/rpm/macros.php
%define		_class		Auth
%define 	_subclass	PrefManager
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - preferences management class
Summary(pl.UTF-8):	%{_pearname} - klasa do zarządzania preferencjami
Name:		php-pear-%{_pearname}
Version:	1.2.0
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	48bcd80f076cb1d5a78fbcd2b7fd6dbd
URL:		http://pear.php.net/package/Auth_PrefManager/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-DB >= 1.7.0
Requires:	php-pear-PEAR-core >= 1:1.4.0
Provides:	php-pear-PrefManager
Obsoletes:	php-pear-PrefManager
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Preference Manager is a class to handle user preferences in a web
application, looking them up in a table using a combination of their
userid, and the preference name to get a value, and (optionally)
returning a default value for the preference if no value could be
found for that user. It is designed to be used alongside the PEAR Auth
class, but can be used with anything that allows you to obtain the
user's id - including your own code.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Preference Manager (Zarządca ustawień) to klasa obsługująca ustawienia
użytkownika w aplikacjach WWW, wyszukiwania ich w tabeli przy użyciu
kombinacji identyfikatora użytkownika i nazwy ustawienia w celu
uzyskania wartości i (opcjonalnie) zwrócenia domyślnej wartości
ustawienia w przypadku nie znalezienia wartości dla danego
użytkownika. Klasa została zaprojektowana w celu używania wraz z klasą
PEAR-a Auth, ale może być używana z czymkolwiek, co pozwala na
uzyskanie identyfikatora użytkownika - włącznie z własnym kodem.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

# For compatibility with old class:
ln -s %{_subclass}.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/preferences.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Auth_PrefManager.spec,v $
Revision 1.28  2010/08/21 19:08:47  glen
- updated deps with pearize.sh
- release 3

Revision 1.27  2008/01/31 12:16:05  glen
- rel 2

Revision 1.26  2007-07-04 22:42:39  glen
- updated to 1.2.0

Revision 1.25  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.23  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.22  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.21  2005/10/05 18:31:31  glen
- rel 2

Revision 1.20  2005/10/03 22:59:15  glen
- semi automatically added deps from pear

Revision 1.19  2005/09/19 21:43:39  glen
- integer BR

Revision 1.18  2005/09/19 18:51:24  glen
- merged from DEVEL: use new pear packaging system

Revision 1.17.2.4  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.17.2.3  2005/09/18 12:43:44  glen
- add install.log

Revision 1.17.2.2  2005/09/18 11:52:50  glen
- use install macro

Revision 1.17.2.1  2005/09/18 11:11:04  glen
- use php-pear-build

Revision 1.17  2005/04/06 11:06:34  adamg
- updated to 1.1.4

Revision 1.16  2004/12/03 20:43:28  adamg
- drop Requires: php-pear-DB (it is automatically generated now)
- release 2

Revision 1.15  2004/07/08 20:22:23  ankry
- unification

Revision 1.14  2004/07/08 19:52:02  adamg
- updated to 1.1.3

Revision 1.13  2004/05/30 13:13:47  adamg
- fixed english information about status of the package

Revision 1.12  2004/05/01 17:16:16  adamg
- updated to 1.1.2

Revision 1.11  2004/02/17 21:12:05  adamg
- updated to 1.1.1

Revision 1.10  2004/02/15 11:11:40  adamg
- updated to 1.1.0

Revision 1.9  2003/11/22 20:45:41  adamg
- updated to 1.0.4

Revision 1.8  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.7  2003/08/31 20:49:08  adamg
- more specific URL

Revision 1.6  2003/06/14 09:23:39  adamg
- cosmetics

Revision 1.5  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.4  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.3  2003/05/25 06:25:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/05 16:05:53  blues
- 0.2.2 - beta bugfix release

Revision 1.1  2003/01/01 23:27:33  blues
- replaces PrefManager class

Revision 1.2  2002/12/15 09:38:53  qboosh
- pl description

Revision 1.1  2002/12/12 19:47:02  blues
- initial release - beta status
